Skip to content

Groups

vWork supports groups, allowing you to separate your workers into different teams. (For example: sales and service, electricians and plumbers, North and South, Chicago and Detroit, etc…)

  • Workers can belong to multiple groups, allowing them to receive work from different dispatchers.

  • Dispatchers can belong to multiple groups, allowing them to manage multiple workforces.

  • Dispatchers must belong to a group in order to see it.

  • Groups support multiple time zones. For example, a San Francisco group operating on Pacific time and a Colorado group operating on Central time. (This time zone offset cannot be set via the API, it needs to be set on the web app settings page.)

  • Please ensure that all users belong to at least one group.

  • Please note that groups is not enabled by default on all accounts. This feature needs to be enabled by our operations team.

Here are the fields you can use when making a group request:

NameTypeDescription
nameStringThe group's name.
descriptionStringThe group's description.
user_idsStringComma-separated list of ids of users you want to associate with this group.

When retrieving a group from vWork, you may also see these additional fields in the response:

NameTypeDescription
groupObjectGroup record.
idIntegerUnique ID of group.
created_atDateTimeTime group was created.
updated_atDateTimeTime group was last updated.

Create A New Group

Request

Creates a new group in vWork.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

POST
/v5/groups.xml
curl -i -X POST \
  'https://api.vworkapp.com/v5/groups.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <group>
      <name>Service Vehicles</name>
      <description>All mobile workers capable of handling business hours service call outs.</description>
      <user_ids>1,2,3</user_ids>
  </group>'

Responses

Created

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 01:11:18 GMT"
ETagstring
Example:"W/\"4595943a01847720b0e6b77d5a7a878a\""
Locationstring
Example:"https://api.vworkapp.com/api/v4/groups/2488"
Statusstring
Example:"201 Created"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"9a87ec2e-4060-4eb7-ab93-8a264f8a1ffd"
X-Runtimestring
Example:"1.069870"
X-Unique-IDstring
Example:"CA7C7B8A:D0B8_0A001312:01BB_575F59B0_A393C8:1EC7"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<group>
    <id>123</id>
    <name>Service Vehicles</name>
    <description>All mobile workers capable of handling business hours service call outs.</description>
    <user_ids>1,2,3</user_ids>
    <created_at>2012-08-27T01:49:07+00:00</created_at>
    <updated_at>2012-08-27T01:49:07+00:00</updated_at>
</group>